Package skyview.data

# Class WeightedSmoother

java.lang.Object
skyview.process.Processor
skyview.data.WeightedSmoother

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `GaussSmoother`, `NormedGaussSmoother`

public abstract class WeightedSmoother extends Processor
Smooth an image using a rectangular array of weights

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`WeightedSmoother()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Image[] inputs, Image output, int[] selector, Sampler samp, DepthSampler dsamp)`
Use as a postprocessor
`protected void`
`setSmoothSize(int nx, int ny)`
`void`
`smooth()`
Smooth the current image according to the prescribed size of the box.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class skyview.process.Processor

`updateHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface skyview.Component

`getDescription, getName`

## Constructor Details

### WeightedSmoother

public WeightedSmoother()

## Method Details

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### setSmoothSize

protected void setSmoothSize(int nx, int ny)

### process

public void process(Image[] inputs, Image output, int[] selector, Sampler samp, DepthSampler dsamp)
Use as a postprocessor

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - The array of input survey images.
  `output` - The output user image. A null output may signal that an error has taken place. If this processor wishes to do something in response to the error, it may look at the ErrorMsg setting.
  `selector` - An array giving the source image for each output pixel.
  `samp` - The sampler object used to do spatial sampling of the input images.
  `dsamp` - The sampler in the energy dimension (often null).

### smooth

public void smooth()
Smooth the current image according to the prescribed size of the box. When going over the edges of the box we re-use the edge pixels.